Package com.databricks.jdbc.api.impl.converters

## Class ArrowToJavaObjectConverter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.ArrowToJavaObjectConverter

    public class ArrowToJavaObjectConverter
    extends Object

### Constructor Summary

Constructors
`ArrowToJavaObjectConverter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Object` `convert​(org.apache.arrow.vector.ValueVector columnVector, int vectorIndex, com.databricks.sdk.service.sql.ColumnInfoTypeName requiredType, String arrowMetadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrowToJavaObjectConverter

    public ArrowToJavaObjectConverter()

### Method Detail

#### convert

    public static Object convert​(org.apache.arrow.vector.ValueVector columnVector,
                                 int vectorIndex,
                                 com.databricks.sdk.service.sql.ColumnInfoTypeName requiredType,
                                 String arrowMetadata)
                          throws DatabricksSQLException

Throws:
  `DatabricksSQLException`